MakeMCVarianceSwapEngine< RNG, S > Class Template Reference

Monte Carlo variance-swap engine factory. More...

`#include <ql/pricingengines/forward/mcvarianceswapengine.hpp>`

## Public Member Functions

| MakeMCVarianceSwapEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process)
MakeMCVarianceSwapEngine & | withSteps (Size steps)
MakeMCVarianceSwapEngine & | withStepsPerYear (Size steps)
MakeMCVarianceSwapEngine & | withBrownianBridge (bool b=true)
MakeMCVarianceSwapEngine & | withSamples (Size samples)
MakeMCVarianceSwapEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCVarianceSwapEngine & | withMaxSamples (Size samples)
MakeMCVarianceSwapEngine & | withSeed (BigNatural seed)
MakeMCVarianceSwapEngine & | withAntitheticVariate (bool b=true)
| operator ext::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCVarianceSwapEngine< RNG, S >

Monte Carlo variance-swap engine factory.